%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name bcrypt

Name: python%{python_suffix}-%{pypi_name}
Version: 3.2.0
Release: 1
License: Apache-2.0
Summary: Modern password hashing for your software and your servers
Url: https://pypi.python.org/pypi/bcrypt/

Source0: https://files.pythonhosted.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip
BuildRequires: libffi-devel

BuildRequires: python%{python_suffix}-cffi >= 1.1
BuildRequires: python%{python_suffix}-six >= 1.4.1

Requires: python%{python_suffix}-cffi >= 1.1
Requires: python%{python_suffix}-six >= 1.4.1

%description
Modern password hashing for your software and your servers

%prep
%setup -q -n %{pypi_name}-%{version}

%build

%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-cp%{python_version_nodots}-cp%{python_version_nodots}-os400_powerpc64.whl

sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{python_sitelib}/bcrypt*

%changelog
* Wed Jul 07 2021 Kevin Adler <kadler@us.ibm.com> - 3.2.0
- Update to 3.2.0

* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 3.1.4
- Port to Python 3.9
- Use macros from python-rpm-macros

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Use SPDX license identifier
- Remove -I and --no-deps from install cmd to ensure package deps set correctly
- Add requires of six and cffi

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Tue Jul 17 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded transitive dependencies from python spec files

* Wed May 09 2018 - Kevin Adler <kadler@us.ibm.com>
- Initial package
